THIS THREAD HAS BEEN CLOSED.

Possible ForumEngine Bug: Invalid ET_UPDATE_PATH URL?

Updated on Apr 3, 2015 in [P] ForumEngine
3 on Mar 31, 2015

Hello,

I’m trying to update from ForumEngine 1.6.0.1 (with WordPress 4.1.1) to a hotfix release I was told is available.

The update is not showing in the WordPress admin “Updates” section, however.

I noticed that in /forumengine/functions.php, ET_UPDATE_PATH is now defined as:
//www.enginethemes.com/forums/?do=product-update

The URL scheme is missing. (It looks like it was specified in version 1.5.6, which was being used prior to the update to 1.6.0.1.)

This causes the HTTP POST request made by ET_Update::get_remote_version() to fail.

$request contains this error message:
“A valid URL was not provided.”

The $this->update_path value is:
//www.enginethemes.com/forums/?do=product-update&product=forumengine&type=theme

Should the URL scheme be specified?

Thanks,
A.P.

  • Liked by
0 on Apr 1, 2015

Hi There,
Thanks for writing in.
Could you please ask your hosting provider to confirm the “allow_url_fopen” value is disabled or not?
Many thanks.

  • Liked by
Cancel
0 on Apr 1, 2015

Hello,

The result of phpinfo() shows that “allow_url_fopen” is set to “On”.

Thanks,
A.P.

  • Liked by
Cancel
Loading more replies
Posting & Replying function will be deactivated from 3pm GMT+7 12th Sep.
Read More